.filter-and-view {
  @apply sticky z-20 top-20 w-[calc(100vw-2rem)] lg:w-[30rem] h-14
    mx-auto -mt-7
    flex items-center
    bg-white rounded-full overflow-hidden shadow-md;
}

/* BEGIN: SEARCH */
.filter-and-view__search {
  @apply relative grow shrink h-full;
}

.filter-and-view__search input[type='text'] {
  @apply w-full h-full
    outline-none pl-4 pr-12 rounded-tl-full rounded-bl-full
    border-2 border-white focus:border-[#daa118]
    transition-all;
}

.filter-and-view__search button {
  @apply absolute top-1/2 right-4 -translate-y-1/2
    outline-none border-none;
}
/* END: SEARCH */

/* BEGIN: VIEW */
.filter-and-view__view-toggle {
  @apply flex shrink-0 items-center bg-stone-100 space-x-4 px-4;
}

.filter-and-view__view-toggle button {
  @apply h-14 flex items-center justify-center hover:text-[#daa118] active:text-[#daa118];
}

.filter-and-view__view-toggle button.active {
  @apply text-[#daa118];
}
/* END: SEARCH */
